-- $Id: JoinNamesTests.hs,v 1.1 2013/10/20 02:30:22 leavens Exp leavens $
module JoinNamesTests where
import JoinNames
import Testing
main = dotests "JoinNamesTests $Revision" tests
tests :: [TestCase [NewAddress]]
tests = 
    [eqTest (joinNames []) "==" []
    ,eqTest (joinNames [["Frank", "Wright", "6000 Left", "Chicago", "IL", "USA"]])
     "==" [["Frank Wright", "6000 Left", "Chicago", "IL", "USA"]]
    ,eqTest (joinNames [["Christopher", "Wren", "2000 Hyde", "London", "England", "UK"]
                       ,["Frank", "Wright", "6000 Left", "Chicago", "IL", "USA"]])
     "==" [["Christopher Wren", "2000 Hyde", "London", "England", "UK"]
          ,["Frank Wright", "6000 Left", "Chicago", "IL", "USA"]]
    ,eqTest (joinNames [["Caroline", "Herschel", "700000" "Starry Way", "Hannover", "Germany"]
                       ,["Marie", "Curie", "1 rue Pierre et Marie Curie", "6me", "Paris", "France"]
                       ,["Agusta Ada", "King", "Marylebone", "London", "England", "UK"]])
     "==" [["Caroline Herschel", "700000" "Starry Way", "Hannover", "Germany"]
          ,["Marie Curie", "1, rue Pierre et Marie Curie", "6me", "Paris", "France"]
          ,["Agusta Ada King", "Marylebone", "London", "England", "UK"]]   ]
